/**
 * AWS S3 App
 * There are different ways implementing an App
 */
var awsApp = awsApp || {};  //Define App namespace, if you want.
/**
 * Constructor UNAS App
 */
awsApp.App = function () {
    this.id = 'AWS S3';
    this.name = 'AWS S3';
    this.version = '6.0.9';
    this.active = false;
    this.menuIcon = '/apps/awss3/images/logo.png?v=6.0.9&';
    this.shortcutIcon = '/apps/awss3/images/logo.png?v=6.0.9&';
    this.entryUrl = '/apps/awss3/aws.html?v=6.0.9&';
	var self = this;
    this.awsAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('AWS S3')){
    		return false;
    	}
        self.window=new MUI.Window({
            id: 'awsAppWindow',
            title: UNAS._('AWS S3'),
            icon: '/apps/awss3/images/logo_small.png?v=6.0.9&',
            width: 1000,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
			loadMethod: 'xhr',
            contentURL: '/apps/awss3/aws.html?v=6.0.9&',
            require: {  css: ['/apps/awss3/css/aws.css'] },
			onBeforeBuild: function(){UNAS.SetAppOpenedWindow("AWS S3",'awsAppWindow')}
        });
    };
	this.awsAppUninstall = function (){
    	UNAS.RemoveDesktopShortcut('AWS S3');
    	UNAS.RemoveMenu('AWS S3');
    	UNAS.RemoveAppFromGroups('AWS S3', 'ControlPanel');
    	UNAS.RemoveAppFromGroups('AWS S3', 'Help');
    	UNAS.RemoveAppFromApps('AWS S3');
    }
    // new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'AWS S3', '', this.awsAppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'AWS S3', this.awsAppWindow);
	// new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Location' : 6, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
	var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('AWS S3', UNAS._('AWS S3')); //translate menu
        UNAS.SetShortcutTitle('AWS S3', UNAS._('AWS S3')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('awsAppWindow', UNAS._('AWS S3'));
        }
    }
	UNAS.LoadTranslation('/apps/awss3/languages/Translation?v='+this.version,OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
	UNAS.CreateApp(this.name,this.shortcutIcon,this.awsAppWindow,this.awsAppUninstall);
};

new awsApp.App(); //Create app
